Skip to main content
POST
/
tenants
/
{tenantId}
/
webhooks
/
{webhookId}
/
deliveries
/
{deliveryId}
/
replay
Replay a webhook delivery
curl --request POST \
  --url https://api.arkhq.io/v1/tenants/{tenantId}/webhooks/{webhookId}/deliveries/{deliveryId}/replay \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "success": true,
    "originalDeliveryId": "whr_abc123def456",
    "newDeliveryId": "whr_new789xyz",
    "statusCode": 200,
    "duration": 156,
    "timestamp": "2024-01-15T14:30:00Z"
  },
  "meta": {
    "requestId": "req_V1StGXR8_Z5jdHi6"
  }
}

Authorizations

Authorization
string
header
required

Use your API key from arkhq.io/org/credentials

Authorization: Bearer YOUR_API_KEY

Path Parameters

tenantId
string
required

The tenant ID

webhookId
string
required

Webhook ID

deliveryId
string
required

Delivery ID (UUID) to replay

Response

Replay result

Result of replaying a webhook delivery

success
boolean
required
data
object
required
meta
object
required